<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
**********************************************/


$template_cat_list = <<<EOT
<!-- BEGIN header -->

<!-- END header -->
<!-- BEGIN catrow_noalb -->
        <tr>
                <td class="catrow_noalb" colspan="3"><table border="0"><tr><td align="left">{CAT_THUMB}</td><td align="left"><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>
        </tr>
<!-- END catrow_noalb -->
<!-- BEGIN catrow -->
        <tr>
                <td class="catrow" align="left"><table border="0"><tr><td>{CAT_THUMB}</td><td><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>

        </tr>
        <tr>
            <td class="tableb" colspan="3">{CAT_ALBUMS}</td>
        </tr>
<!-- END catrow -->
<!-- BEGIN footer -->
        <tr>
                <td colspan="3" class="tableh1" align="center"><span class="statlink"><b>{STATISTICS}</b></span></td>
        </tr>
<!-- END footer -->
<!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
<!-- END spacer -->

EOT;

// Function to start a 'standard' table
function starttable($width = '-1', $title = '', $title_colspan = '1')
{
    global $CONFIG;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    echo <<<EOT

<!-- Start standard table -->
<table align="center" width="$width" cellspacing="0" cellpadding="0" class="maintable">

EOT;
    if ($title) {
        echo <<<EOT
        <tr>
                <td class="tableh1" colspan="$title_colspan">$title</td>
        </tr>

EOT;
    }
}

// Function to end a 'standard' table
function endtable()
{
    echo <<<EOT
</table>
<!-- End standard table -->

EOT;
}

// Added to display flim_strip
function theme_display_film_strip(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $pos, $sort_options, $mode = 'thumb')
{
    global $CONFIG, $THEME_DIR;
    global $template_film_strip, $lang_film_strip;

    static $template = '';
    static $thumb_cell = '';
    static $empty_cell = '';
    static $spacer = '';

    if ((!$template)) {
        $template = $template_film_strip;
        $thumb_cell = template_extract_block($template, 'thumb_cell');
        $empty_cell = template_extract_block($template, 'empty_cell');
    }

    $cat_link = is_numeric($aid) ? '' : '&amp;cat=' . $cat;

    $thumbcols = $CONFIG['thumbcols'];
    $cell_width = ceil(100 / $CONFIG['max_film_strip_items']) . '%';

    $i = 0;
    $thumb_strip = '';
    foreach($thumb_list as $thumb) {
        //modify $new_size for max dimension of thumbnails in filmstrip
        $new_size = 65;
        preg_match('/(?<=width=")[0-9]*/',$thumb['image'],$matches,PREG_OFFSET_CAPTURE);
        $srcWidth=$matches[0][0];
        preg_match('/(?<=height=")[0-9]*/',$thumb['image'],$matches,PREG_OFFSET_CAPTURE);
        $srcHeight=$matches[0][0];
        $ratio = max($srcWidth, $srcHeight) / $new_size;
        $ratio = max($ratio, 1.0);
        $destWidth = (int)($srcWidth / $ratio);
        $destHeight = (int)($srcHeight / $ratio);
        $thumb['image']=preg_replace('/width="[^"]*"/','width="'.$destWidth.'"',$thumb['image']);
        $thumb['image']=preg_replace('/height="[^"]*"/','height="'.$destHeight.'"',$thumb['image']);
        $i++;
        if ($mode == 'thumb') {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&amp;pos={$thumb['pos']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => $thumb['caption'],
                '{ADMIN_MENU}' => ''
                );
        } else {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        }
        $thumb_strip .= template_eval($thumb_cell, $params);
    }

    if (defined('THEME_HAS_FILM_STRIP_GRAPHICS')) {
        $tile1 = $THEME_DIR . 'images/tile1.gif';
        $tile2 = $THEME_DIR . 'images/tile2.gif';
    } elseif (defined('THEME_HAS_FILM_STRIP_GRAPHIC')) {
        $tile1=$tile2=$THEME_DIR . 'images/tile.gif';
    } else {
        $tile1=$tile2= 'images/tile.gif';
    }

    $params = array('{THUMB_STRIP}' => $thumb_strip,
        '{COLS}' => $i,
        '{TILE1}' => $tile1,
        '{TILE2}' => $tile2,
        );

    ob_start();
    starttable($CONFIG['picture_table_width']);
    echo template_eval($template, $params);
    endtable();
    $film_strip = ob_get_contents();
    ob_end_clean();

    return $film_strip;
}

// HTML template for sys menu
$template_sys_menu = <<<EOT
                                            <div class="right_head">Main</div>
                                            <table border="0" cellspacing="0" cellpadding="0" width="100%">
<!-- BEGIN home -->
                                                <tr><td align="center"><a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a></td></tr>
<!-- END home -->
<!-- BEGIN my_gallery -->
                                                <tr><td align="center"><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a></td></tr>
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
                                                <tr><td align="center"><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></td></tr>
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
                                                <tr><td align="center"><a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></td></tr>
<!-- END my_profile -->
<!-- BEGIN faq -->
                                                <tr><td align="center"><a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a></td></tr>
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                                                <tr><td align="center"><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></td></tr>
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                                                <tr><td align="center"><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></td></tr>
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                                                <tr><td align="center"><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></td></tr>
<!-- END upload_pic -->
<!-- BEGIN register -->
                                                <tr><td align="center"><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></td></tr>
<!-- END register -->
<!-- BEGIN login -->
                                                <tr><td align="center"><a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></td></tr>
<!-- END login -->
<!-- BEGIN logout -->
                                                <tr><td align="center"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">{LOGOUT_LNK}</a></td></tr>
<!-- END logout -->
                                            </table>
EOT;


// HTML template for sub menu
$template_sub_menu = <<<EOT
                                            <div class="right_head">User Menu</div>
                                            <table border="0" cellspacing="0" cellpadding="0" width="100%">
<!-- BEGIN custom_link -->
                                            <tr><td align="center"><a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a></td></tr>
<!-- END custom_link -->
<!-- BEGIN album_list -->
                                            <tr><td align="center"><a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a></td></tr>
<!-- END album_list -->
                                            <tr><td align="center"><a href="{LASTUP_TGT}" title="{LASTUP_LNK}">{LASTUP_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="{LASTCOM_TGT}" title="{LASTCOM_LNK}">{LASTCOM_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="{TOPN_TGT}" title="{TOPN_LNK}">{TOPN_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="{TOPRATED_TGT}" title="{TOPRATED_LNK}">{TOPRATED_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="{FAV_TGT}" title="{FAV_LNK}">{FAV_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="{SEARCH_TGT}" title="{SEARCH_LNK}">{SEARCH_LNK}</a></td></tr>
                                            </table>

EOT;

// HTML template for gallery admin menu
$template_gallery_admin_menu = <<<EOT

                                            <div class="right_head">Administrator</div>
                                            <table border="0" cellspacing="0" cellpadding="0" width="100%">
<!-- BEGIN admin_approval -->
                                            <tr><td align="center"><a href="editpics.php?mode=upload_approval" title="{UPL_APP_TITLE}">{UPL_APP_LNK}</a></td></tr>
<!-- END admin_approval -->
                                            <tr><td align="center"><a href="admin.php" title="{ADMIN_TITLE}">{ADMIN_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="catmgr.php" title="{CATEGORIES_TITLE}">{CATEGORIES_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="albmgr.php{CATL}" title="{ALBUMS_TITLE}">{ALBUMS_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="groupmgr.php" title="{GROUPS_TITLE}">{GROUPS_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="usermgr.php" title="{USERS_TITLE}">{USERS_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="banning.php" title="{BAN_TITLE}">{BAN_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="reviewcom.php" title="{COMMENTS_TITLE}">{COMMENTS_LNK}</a></td></tr>
<!-- BEGIN log_ecards -->
                                            <tr><td align="center"><a href="db_ecard.php" title="{DB_ECARD_TITLE}">{DB_ECARD_LNK}</a></td></tr>
<!-- END log_ecards -->
                                            <tr><td align="center"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="searchnew.php" title="{SEARCHNEW_TITLE}">{SEARCHNEW_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="util.php" title="{UTIL_TITLE}">{UTIL_LNK}</a></td>
                                            <tr><td align="center"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></td></tr>
<!-- BEGIN documentation -->
                                            <tr><td align="center"><a href="{DOCUMENTATION_HREF}" title="{DOCUMENTATION_TITLE}" target="cpg_documentation">{DOCUMENTATION_LNK}</a></td></tr>
<!-- END documentation -->
                                            </table>
EOT;

// HTML template for user admin menu
$template_user_admin_menu = <<<EOT

                                            <div class="right_head">My Menu</div>
                                            <table border="0" cellspacing="0" cellpadding="0" width="100%">
                                            <tr><td align="center"><a href="albmgr.php" title="{ALBMGR_TITLE}">{ALBMGR_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="modifyalb.php" title="{MODIFYALB_TITLE}">{MODIFYALB_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></td></tr>
                                            <tr><td align="center"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></td></tr>
                                            </table>

EOT;
?>